ZZIP_INIT_IO(3)

NAME
zzip_init_io, zzip_get_default_io - ...

SYNOPSIS

#include <zzip/lib.h>

int zzip_init_io((zzip_plugin_io_handlers_t io, int flags));

zzip_plugin_io_t zzip_get_default_io((void));

DESCRIPTION

The zzip_get_default_io function returns a zzip_plugin_io_t handle to static defaults wrapping the posix io file functions for actual file access. The returned structure is shared by all threads in the system.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Mike Nordell <tamlin-@-algonet-se>

COPYRIGHT

Copyright (c) 2002,2003 Guido Draheim All rights reserved, use under the restrictions of the Lesser GNU General Public License or alternatively the restrictions of the Mozilla Public License 1.1